(function ($, Drupal) {
  'use strict';

  Drupal.behaviors.pageZoom = {
    attach: function (context, settings) {
      // Define default options
      var options = {
        selectors: {
          zoom_in: '.zoom_in',
          zoom_out: '.zoom_out',
          zoom_reset: '.zoom_reset'
        },
        max_zoom: 1.5,
        min_zoom: 0.5,
        current_zoom: 1,
        zoom_increment: 0.1
      };
      $.page_zoom(options);
    }
  };

})(jQuery, Drupal);
